SphinxClient::setRetries
SphinxClient::setServer
SphinxClient
PHP Manual

# SphinxClient::setSelect

(PECL sphinx >= 1.0.1)

SphinxClient::setSelect — Set select clause

### Description

public bool SphinxClient::setSelect ( string `$clause` )

Sets the select clause, listing specific attributes to fetch, and expressions to compute and fetch.

### Parameters

`clause`

  SQL-like clause.

### Changelog

PECL/sphinx Version | Description
--- | ---
1.0.1 | Added SphinxClient::setSelect(), available only if compiled with libsphinxclient >= 0.9.9.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SphinxClient::setRetries
SphinxClient::setServer
SphinxClient
PHP Manual